GET api/contractapi/contract/{id}

Request Information

URI Parameters

NameDescriptionTypeAdditional information
id

globally unique identifier

Required

Body Parameters

None.

Response Information

Resource Description

ContractViewModel
NameDescriptionTypeAdditional information
selected_nameplate_id

globally unique identifier

None.

selected_sticker_id

globally unique identifier

None.

washing_processes

Collection of WashingProcessViewModel

None.

active

boolean

Required

certificate_type_id

globally unique identifier

Required

code

integer

None.

delay_between_scans

integer

None.

id

globally unique identifier

None.

internal_reference

string

String length: inclusive between 0 and 50

item_wash_max

integer

None.

language_code

string

Required

String length: inclusive between 0 and 10

name

string

Required

String length: inclusive between 0 and 100

packaging_type_id

globally unique identifier

Required

packing_type_id

globally unique identifier

Required

particles_control

boolean

Required

peremption_month

integer

None.

peremption_print_cleanroom

boolean

Required

peremption_print_date

boolean

Required

peremption_print_expedition

boolean

Required

permanent_management

boolean

Required

pool_id

globally unique identifier

None.

remark

string

None.

site_customer_id

globally unique identifier

Required

sorting_type_id

globally unique identifier

Required

type

string

Required

String length: inclusive between 0 and 1

Response Formats

application/json, text/json

Sample:
{
  "selected_nameplate_id": "bcb051e9-fa73-4f4a-a05c-cb972995dd70",
  "selected_sticker_id": "3722d570-de15-4383-9e6b-bd67666b01b1",
  "washing_processes": [
    {
      "descriptions": {
        "sample string 1": "sample string 2",
        "sample string 3": "sample string 4"
      },
      "active": true,
      "code": "sample string 2",
      "id": "39ba33e6-fc34-4e93-a340-95088dc3bdc4",
      "site_id": "7c33d8fc-22e8-4fa4-b50a-6cd9a084feca"
    },
    {
      "descriptions": {
        "sample string 1": "sample string 2",
        "sample string 3": "sample string 4"
      },
      "active": true,
      "code": "sample string 2",
      "id": "39ba33e6-fc34-4e93-a340-95088dc3bdc4",
      "site_id": "7c33d8fc-22e8-4fa4-b50a-6cd9a084feca"
    }
  ],
  "active": true,
  "certificate_type_id": "c318ef72-c8cf-4a17-a4d6-a812bb62321f",
  "code": 1,
  "delay_between_scans": 1,
  "id": "3d465bdd-64d9-46db-b818-b9ced9cf074d",
  "internal_reference": "sample string 4",
  "item_wash_max": 1,
  "language_code": "sample string 5",
  "name": "sample string 6",
  "packaging_type_id": "e41d9c9b-a33a-4e56-937a-37b00a295ed0",
  "packing_type_id": "67b5014f-7c6d-4fd7-9474-be44ebf650fb",
  "particles_control": true,
  "peremption_month": 1,
  "peremption_print_cleanroom": true,
  "peremption_print_date": true,
  "peremption_print_expedition": true,
  "permanent_management": true,
  "pool_id": "83153308-28f2-4d11-9f26-86d2ff66b4c6",
  "remark": "sample string 14",
  "site_customer_id": "99061c1b-bfc8-494b-915b-5a498ad2320d",
  "sorting_type_id": "b68a90ff-ab73-4d63-92a1-978074a6541a",
  "type": "sample string 17"
}

application/xml, text/xml

Sample:
<contract xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel">
  <active>true</active>
  <certificate_type_id>c318ef72-c8cf-4a17-a4d6-a812bb62321f</certificate_type_id>
  <code>1</code>
  <delay_between_scans>1</delay_between_scans>
  <id>3d465bdd-64d9-46db-b818-b9ced9cf074d</id>
  <internal_reference>sample string 4</internal_reference>
  <item_wash_max>1</item_wash_max>
  <language_code>sample string 5</language_code>
  <name>sample string 6</name>
  <packaging_type_id>e41d9c9b-a33a-4e56-937a-37b00a295ed0</packaging_type_id>
  <packing_type_id>67b5014f-7c6d-4fd7-9474-be44ebf650fb</packing_type_id>
  <particles_control>true</particles_control>
  <peremption_month>1</peremption_month>
  <peremption_print_cleanroom>true</peremption_print_cleanroom>
  <peremption_print_date>true</peremption_print_date>
  <peremption_print_expedition>true</peremption_print_expedition>
  <permanent_management>true</permanent_management>
  <pool_id>83153308-28f2-4d11-9f26-86d2ff66b4c6</pool_id>
  <remark>sample string 14</remark>
  <site_customer_id>99061c1b-bfc8-494b-915b-5a498ad2320d</site_customer_id>
  <sorting_type_id>b68a90ff-ab73-4d63-92a1-978074a6541a</sorting_type_id>
  <type>sample string 17</type>
  <selected_nameplate_id>bcb051e9-fa73-4f4a-a05c-cb972995dd70</selected_nameplate_id>
  <selected_sticker_id>3722d570-de15-4383-9e6b-bd67666b01b1</selected_sticker_id>
  <washing_processes>
    <washing_process>
      <active>true</active>
      <code>sample string 2</code>
      <id>39ba33e6-fc34-4e93-a340-95088dc3bdc4</id>
      <site_id>7c33d8fc-22e8-4fa4-b50a-6cd9a084feca</site_id>
      <descriptions xmlns:d4p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
        <d4p1:KeyValueOfstringstring>
          <d4p1:Key>sample string 1</d4p1:Key>
          <d4p1:Value>sample string 2</d4p1:Value>
        </d4p1:KeyValueOfstringstring>
        <d4p1:KeyValueOfstringstring>
          <d4p1:Key>sample string 3</d4p1:Key>
          <d4p1:Value>sample string 4</d4p1:Value>
        </d4p1:KeyValueOfstringstring>
      </descriptions>
    </washing_process>
    <washing_process>
      <active>true</active>
      <code>sample string 2</code>
      <id>39ba33e6-fc34-4e93-a340-95088dc3bdc4</id>
      <site_id>7c33d8fc-22e8-4fa4-b50a-6cd9a084feca</site_id>
      <descriptions xmlns:d4p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
        <d4p1:KeyValueOfstringstring>
          <d4p1:Key>sample string 1</d4p1:Key>
          <d4p1:Value>sample string 2</d4p1:Value>
        </d4p1:KeyValueOfstringstring>
        <d4p1:KeyValueOfstringstring>
          <d4p1:Key>sample string 3</d4p1:Key>
          <d4p1:Value>sample string 4</d4p1:Value>
        </d4p1:KeyValueOfstringstring>
      </descriptions>
    </washing_process>
  </washing_processes>
</contract>